diff --git a/hw/xwin/winclipboardwndproc.c b/hw/xwin/winclipboardwndproc.c
old mode 100644
new mode 100755
index 9394b04..204eacc
--- a/hw/xwin/winclipboardwndproc.c
+++ b/hw/xwin/winclipboardwndproc.c
@@ -521,6 +521,19 @@ winClipboardWindowProc (HWND hwnd, UINT message,
 						pDisplay,
 						fConvertToUnicode,
 						WIN_POLL_TIMEOUT);
+		if (WIN_XEVENTS_CONVERT == iReturn)
+		{
+			/*
+			* The selection was offered for conversion first, so we have
+			* to process a second SelectionNotify event to get the actual
+			* data in the selection.
+			*/
+			iReturn = winProcessXEventsTimeout (hwnd,
+						iWindow,
+						pDisplay,
+						fConvertToUnicode,
+						WIN_POLL_TIMEOUT);
+		}
 	  }
 	
 	/*
